Bug 1315046 - Incorrect ExecStop= directive in ejabberd.service
Incorrect ExecStop= directive in ejabberd.service
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ejabberd (Show other bugs)
23
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On: 1314753 1315047
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-06 01:49 EST by Randy Barlow
Modified: 2016-07-07 10:23 EDT (History)
7 users (show)

See Also:
Fixed In Version: ejabberd-16.01-5.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1314753
Environment:
Last Closed: 2016-07-07 10:23:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2016-03-06 01:49:13 EST
+++ This bug was initially created as a clone of Bug #1314753 +++

Description of problem:
Incorrect ExecStop= directive in ejabberd.service resulting in unit stop failing.
The correct directive is:
ExecStop=/usr/bin/bash /usr/bin/ejabberdctl stop

Version-Release number of selected component (if applicable):
ejabberd-14.07-6.fc22.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. systemctl stop ejabberd.service
2. systemctl status ejabberd.service

Actual results:
systemd[1]: Stopping A distributed, fault-tolerant Jabber/XMPP server...
ejabberdctl[3067]: Refusing to render service to dead parents.
systemd[1]: ejabberd.service: Control process exited, code=exited status=127
systemd[1]: Stopped A distributed, fault-tolerant Jabber/XMPP server.
systemd[1]: ejabberd.service: Unit entered failed state.
systemd[1]: ejabberd.service: Failed with result 'exit-code'.

Expected results:
# grep ExecStop= /usr/lib/systemd/system/ejabberd.service 
ExecStop=/usr/bin/bash /usr/bin/ejabberdctl stop

--- Additional comment from Randy Barlow on 2016-03-06 01:48:08 EST ---

This is easy to fix in Fedora 24, but unfortunately the SRPM does not build anymore on F22 or F23 with this build error:

Compiling /builddir/build/BUILD/ejabberd-14.07/deps/jiffy/c_src/double-conversion/bignum.cc
/builddir/build/BUILD/ejabberd-14.07/deps/jiffy/c_src/double-conversion/bignum.cc: In member function 'void double_conversion::Bignum::AssignDecimalString(double_conversion::Vector<const char>)':
/builddir/build/BUILD/ejabberd-14.07/deps/jiffy/c_src/double-conversion/bignum.cc:101:6: error: assuming signed overflow does not occur when assuming that (X + c) < X is always false [-Werror=strict-overflow]
 void Bignum::AssignDecimalString(Vector<const char> value) {
      ^
cc1plus: all warnings being treated as errors

I will have an F24 fix out shortly, but I don't have time to investigate these build failures this weekend.
Comment 1 Vladislav Grigoryev 2016-06-26 09:08:46 EDT
Fixed in ejabberd-16.01-5.fc24.x86_64.
Thanks.

Note You need to log in before you can comment on or make changes to this bug.